aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/flumotion
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/flumotion
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/flumotion')
-rw-r--r--recipes/flumotion/files/no-check-for-python-stuff.patch68
-rw-r--r--recipes/flumotion/files/python-path.patch25
-rw-r--r--recipes/flumotion/flumotion_0.4.1.bb41
3 files changed, 134 insertions, 0 deletions
diff --git a/recipes/flumotion/files/no-check-for-python-stuff.patch b/recipes/flumotion/files/no-check-for-python-stuff.patch
new file mode 100644
index 0000000000..08503c82e0
--- /dev/null
+++ b/recipes/flumotion/files/no-check-for-python-stuff.patch
@@ -0,0 +1,68 @@
+Index: flumotion-0.4.1/configure.ac
+===================================================================
+--- flumotion-0.4.1.orig/configure.ac 2007-03-05 17:16:48.121264330 +0100
++++ flumotion-0.4.1/configure.ac 2007-03-05 17:20:40.343837320 +0100
+@@ -73,13 +73,6 @@
+ AC_MSG_ERROR([PyGTK 2.5.2 contains known bugs, please install other version])
+ fi
+
+-if test "x$DISPLAY" != "x"; then
+- AS_PYTHON_IMPORT([gtk.glade],,
+- AC_MSG_ERROR([You need to have python libglade bindings installed]))
+-else
+- AC_MSG_NOTICE([Not trying to import gtk.glade because DISPLAY is unset])
+-fi
+-
+ if test $GST_010_SUPPORTED = "no"; then
+ AC_MSG_ERROR([No appropriate version of PyGTK installed. Correct the above
+ errors and try again.])
+@@ -94,16 +87,6 @@
+ [AC_MSG_RESULT([$PYGST_010_PKG_ERRORS])
+ GST_010_SUPPORTED=no])
+
+- if test $GST_010_SUPPORTED = "yes"; then
+- saved_PYTHONPATH=$PYTHONPATH
+- export PYTHONPATH=$PYGST_010_DIR:$PYTHONPATH
+- AS_PYTHON_IMPORT([gst],,
+- [AC_MSG_NOTICE([Unable to import gst-python 0.10 -- check your PYTHONPATH?])
+- GST_010_SUPPORTED=no],
+- [import pygst; pygst.require('0.10')],
+- [assert gst.pygst_version[[1]] == 10 or (gst.pygst_version[[1]] == 9 and gst.pygst_version[[2]] >= 7)])
+-
+- fi
+ fi
+
+ if test $GST_010_SUPPORTED = "no"; then
+@@ -158,32 +141,7 @@
+ AC_CHECK_PROG(PYCHECKER, pychecker, yes, no)
+ AM_CONDITIONAL(HAVE_PYCHECKER, test "x$PYCHECKER" = "xyes")
+
+-dnl check for Twisted
+-AS_PYTHON_IMPORT(twisted,
+- [
+- AC_MSG_CHECKING(for Twisted >= 2.0.1)
+- prog="
+-import sys
+-import twisted.copyright
+-minver = '2.0.1'
+-if twisted.copyright.version < minver:
+- sys.exit(1)
+-sys.exit(0)
+-"
+- if $PYTHON -c "$prog" 1>&AC_FD_CC 2>&AC_FD_CC
+- then
+- AC_MSG_RESULT(found)
+- else
+- AC_MSG_RESULT(too old)
+- AC_MSG_ERROR([You need at least version 2.0.1 of Twisted])
+- fi
+- ]
+- ,
+- AC_MSG_ERROR([You need at least version 2.0.1 of Twisted])
+-)
+
+-TWISTED_MODULE([twisted.names])
+-TWISTED_MODULE([twisted.web])
+
+ AC_CONFIG_FILES([env], [chmod +x env])
+ AC_CONFIG_FILES([bin/flumotion], [chmod +x bin/flumotion])
diff --git a/recipes/flumotion/files/python-path.patch b/recipes/flumotion/files/python-path.patch
new file mode 100644
index 0000000000..377994e729
--- /dev/null
+++ b/recipes/flumotion/files/python-path.patch
@@ -0,0 +1,25 @@
+Index: flumotion-0.3.1/common/as-python.m4
+===================================================================
+--- flumotion-0.3.1.orig/common/as-python.m4 2007-03-02 15:26:46.704717964 +0100
++++ flumotion-0.3.1/common/as-python.m4 2007-03-02 15:27:28.601326374 +0100
+@@ -199,6 +199,12 @@
+ AC_MSG_CHECKING(for headers required to compile python extensions)
+
+ dnl deduce PYTHON_INCLUDES
++
++ AC_ARG_WITH(python-includes,
++ [ --with-python-includes=DIR path to Python includes], py_exec_prefix=$withval)
++ if test x$py_exec_prefix != x; then
++ PYTHON_INCLUDES="-I${py_exec_prefix}/include/python${PYTHON_VERSION}"
++ else
+ py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
+ py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
+ PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
+@@ -206,6 +212,7 @@
+ if test "$py_prefix" != "$py_exec_prefix"; then
+ PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
+ fi
++ fi
+ AC_SUBST(PYTHON_INCLUDES)
+
+ dnl check if the headers exist:
diff --git a/recipes/flumotion/flumotion_0.4.1.bb b/recipes/flumotion/flumotion_0.4.1.bb
new file mode 100644
index 0000000000..c746da6c8f
--- /dev/null
+++ b/recipes/flumotion/flumotion_0.4.1.bb
@@ -0,0 +1,41 @@
+DESCRIPTION = "Fluendo Streaming Server"
+LICENSE = "GPL"
+DEPENDS = "gstreamer python-imaging python-gst python-twisted python-pygtk"
+RDEPENDS = "python-resource python-pprint python-threading \
+ python-imaging python-xml python-curses \
+ python-compression python-fcntl python-pygobject \
+ python-pickle python-netclient python-datetime \
+ python-crypt python-twisted-core python-twisted-web \
+ python-lang python-zopeinterface python-textutils \
+ python-gst python-misc"
+RDEPENDS_${PN}-gui = "${PN} python-pygtk python-pycairo"
+PR = "r10"
+
+SRC_URI = "http://www.flumotion.net/src/flumotion/flumotion-${PV}.tar.bz2 \
+ file://python-path.patch;patch=1 \
+ file://no-check-for-python-stuff.patch;patch=1"
+
+inherit autotools distutils-base pkgconfig
+
+export EPYDOC = "no"
+
+EXTRA_OECONF += "--with-python-includes=${STAGING_INCDIR}/../"
+
+PACKAGES =+ "flumotion-gui"
+
+FILES_${PN}-dbg += "${libdir}/flumotion/python/flumotion/extern/*/.debug/*"
+FILES_${PN} = "${bindir} ${sbindir} ${libdir}/flumotion"
+FILES_${PN}-dev += "${libdir}/pkgconfig"
+FILES_${PN}-gui = "${bindir}/flumotion-admin ${bindir}/flumotion-tester \
+ ${libdir}/flumotion/python/flumotion/admin/gtk \
+ ${libdir}/flumotion/python/flumotion/component/*/admin_gtk* \
+ ${libdir}/flumotion/python/flumotion/component/*/*/admin_gtk* \
+ ${libdir}/flumotion/python/flumotion/extern/*.py* \
+ ${libdir}/flumotion/python/flumotion/extern/fdpass/*.py* \
+ ${libdir}/flumotion/python/flumotion/extern/fdpass/fdpass.so \
+ ${libdir}/flumotion/python/flumotion/extern/pytrayicon/*.py* \
+ ${libdir}/flumotion/python/flumotion/extern/pytrayicon/pytrayicon.so \
+ ${libdir}/flumotion/python/flumotion/manager \
+ ${libdir}/flumotion/python/flumotion/ui \
+ ${libdir}/flumotion/python/flumotion/wizard \
+ ${datadir}/pixmaps ${datadir}/flumotion ${datadir}/applications"